Bug 115351 - aic79xx.o crashes in Ultra320 mode.
aic79xx.o crashes in Ultra320 mode.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-10 21:57 EST by Sam Varshavchik
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 04:37:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System boot crash in aic79xx.o (14.24 KB, text/plain)
2004-02-10 21:58 EST, Sam Varshavchik
no flags Details
Forcing the 29320 down to 160MB/s succesfully boots the system. (11.71 KB, text/plain)
2004-02-10 21:59 EST, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2004-02-10 21:57:01 EST
Description of problem:

Adaptec 29320 in a dual Opteron box, with a pair of 36GB Ultra320
Seagate Cheetahs.

aic79xx.o consistently crashes at system boot time if I allow it to
autonegotiate 320MB/s.

Forcing the aic79xx.o to downshift to 160MB/s, via the card's BIOS (by
disabling packetization and QAS) allows the card to operate normally.

Kernel 2.4.22-1.2166

Both SMP and UP kernels crash.

Boot logs follow.
Comment 1 Sam Varshavchik 2004-02-10 21:58:20 EST
Created attachment 97577 [details]
System boot crash in aic79xx.o

This is the default setting of the 29320 adapter, which autonegotiates 320MB/s.
Comment 2 Sam Varshavchik 2004-02-10 21:59:27 EST
Created attachment 97578 [details]
Forcing the 29320 down to 160MB/s succesfully boots the system.

If I go into the 29320's BIOS setup, and manually turn off packetization and
QAS settings for both SCSI disk drives, the card ramps down to 160MB/s, and the
system boots normally.
Comment 3 Jesse Keating 2004-03-08 18:22:12 EST
I am not able to duplicate this on a Athlon64 system using the 29320.
 Asus K8V Delux mainboard.  Adaptec card negotiates to full 320 speed.
 Will continue to test on other amd64 platforms.
Comment 4 Dave Jones 2004-11-29 04:37:53 EST
fc1 - eol

Note You need to log in before you can comment on or make changes to this bug.